> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get all internal resources

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/entries/partners/{entryId}/internal_resources/

Return Internal Resource details

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/resources/internal/get-all-internal-resources

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — id of the directory
- `entryId` (string, required) — id of the Partner entry

## Response

### 200

Successful operation

- `list of ResourceSerializerReader`

## Errors

### 404 Not Found Error

Internal Resource not found

- `any`

## Types

### ResourceSerializerReader

- `id` (string, required)
- `title` (string, optional, nullable)
- `file` (string, optional, nullable)
- `fileUrl` (string, optional, nullable)
- `url` (string, optional, nullable)
- `order` (integer, optional)

## Examples

**Response**

```json
[
  {
    "0": {
      "file": null,
      "fileUrl": null,
      "id": "e4f88344-ec9d-438b-9e05-f2f4cc89ed88",
      "order": 0,
      "title": "Entry Internal Resource",
      "url": "https://partner.domain.com/internal-resource.pdf"
    },
    "1": {
      "file": "https://image.domain.com/internal-resource-1.png",
      "fileUrl": "https://image.domain.com/internal-resource-1.png",
      "id": "f696770b-1fd5-474b-8ceb-20aba300fcf3",
      "order": 1,
      "title": "Other Entry Internal Resource",
      "url": null
    },
    "id": "string"
  }
]
```

**SDK Code**

```python Example
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/internal_resources/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/internal_resources/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```